use yew::{function_component, html, use_state_eq, Callback, Html};


#[function_component]
pub fn CounterPage() -> Html {
    let counter = use_state_eq(|| 1);
    let counter_handle = counter.clone();
    let callback = Callback::from(move |_: yew::MouseEvent| {
        counter_handle.set(*counter_handle + 1);
    });
    html! {
        <div class="w-full h-full flex">{"Counter: "}
            <h1 class="mx-auto my-auto" onclick={callback}>{format!("{}",*counter)}</h1>
        </div>
    }
}